%define major		0
%define libuhd		%mklibname %{name}-uhd %{major}
%define devuhd		%mklibname %{name}-uhd -d
%define libdigital	%mklibname %{name}-digital %{major}
%define devdigital	%mklibname %{name}-digital -d
%define libvolk		%mklibname %{name}-volk %{major}
%define devvolk		%mklibname %{name}-volk -d
%define libatsc		%mklibname %{name}-atsc %{major}
%define devatsc		%mklibname %{name}-atsc -d
%define libaudio	%mklibname %{name}-audio %{major}
%define devaudio	%mklibname %{name}-audio -d
%define libruntime	%mklibname %{name}-runtime %{major}
%define devruntime	%mklibname %{name}-runtime -d
%define libvocoder	%mklibname %{name}-vocoder %{major}
%define devvocoder	%mklibname %{name}-vocoder -d
%define libnoaa		%mklibname %{name}-noaa %{major}
%define devnoaa		%mklibname %{name}-noaa -d
%define libpager	%mklibname %{name}-pager %{major}
%define devpager	%mklibname %{name}-pager -d
%define libqtgui	%mklibname %{name}-qtgui %{major}
%define devqtgui	%mklibname %{name}-qtgui -d
%define libtrellis	%mklibname %{name}-trellis %{major}
%define devtrellis	%mklibname %{name}-trellis -d
%define libvideo_sdl	%mklibname %{name}-video-sdl %{major}
%define devvideo_sdl	%mklibname %{name}-video-sdl -d
%define libfcd		%mklibname %{name}-fcd %{major}
%define devfcd		%mklibname %{name}-fcd -d
%define libwavelet	%mklibname %{name}-wavelet %{major}
%define devwavelet	%mklibname %{name}-wavelet -d
%define libfft		%mklibname %{name}-fft %{major}
%define devfft		%mklibname %{name}-fft -d
%define libfilter	%mklibname %{name}-filter %{major}
%define devfilter	%mklibname %{name}-filter -d
%define libanalog	%mklibname %{name}-analog %{major}
%define devanalog	%mklibname %{name}-analog -d
%define libblocks	%mklibname %{name}-blocks %{major}
%define devblocks	%mklibname %{name}-blocks -d
%define libwxgui	%mklibname %{name}-wxgui %{major}
%define devwxgui	%mklibname %{name}-wxgui -d
%define libchannels	%mklibname %{name}-channels %{major}
%define devchannels	%mklibname %{name}-channels -d
%define libfec		%mklibname %{name}-fec %{major}
%define devfec		%mklibname %{name}-fec -d
%define libpmt		%mklibname %{name}-pmt %{major}
%define devpmt		%mklibname %{name}-pmt -d

# The following retained only for obsoletes
%define libcore		%mklibname %{name}-core %{major}
%define devcore		%mklibname %{name}-core -d
%define libgruel	%mklibname gruel %{major}
%define devgruel	%mklibname gruel -d

#######################################################
# Set release here!
%define rel	3

# For official releases define rev 0 otherwise use git revision
%define rev	7641

%if %{rev}
%define release	%mkrel -c %{rev} %{rel}
%else
%define release	%mkrel %{rel}
%endif

#######################################################
Name:		gnuradio
Version:	3.7.1
Release:	%{release}
Summary:	Software defined radio framework
Group:		Communications/Radio
License:	GPLv3+
URL:		http://www.gnuradio.org
%if %{rev}
Source0:	%{name}-%{version}-%{rev}.tar.gz
%else
Source0:	http://gnuradio.org/releases/gnuradio/%{name}-%{version}.tar.gz
%endif

# Create tarball from git with:
# $ ./make-tarball gnuradio http://gnuradio.org/git/gnuradio.git
# See note in make-tarball script
Source1:	make-tarball

Patch0:		gnuradio-3.7.1-mga-cmakelists.patch

BuildRequires:	cmake
BuildRequires:	sdcc
BuildRequires:	fftw-devel
BuildRequires:	cppunit-devel
BuildRequires:	wxPython
BuildRequires:	xmlto
BuildRequires:	graphviz
BuildRequires:	boost-devel
BuildRequires:	python-devel
BuildRequires:	swig
BuildRequires:	doxygen
BuildRequires:	libusb-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(guile-2.0)
BuildRequires:	portaudio-devel
BuildRequires:	libtool
BuildRequires:	gsl-devel
BuildRequires:	python-qt4-devel
BuildRequires:	libqwtplot3d-devel
BuildRequires:	python-cheetah
BuildRequires:	xdg-utils
BuildRequires:	python-lxml
BuildRequires:	pygtk2.0-libglade
BuildRequires:	liborc-devel
BuildRequires:	uhd-devel
BuildRequires:	python-numpy
BuildRequires:	libcanberra-gtk-devel
BuildRequires:	qwt5-devel
BuildRequires:	python-ice-devel
BuildRequires:	ice-devel

Requires(pre):	shadow-utils

Requires:	%{name}-companion = %{version}-%{release}
Requires:	%{name}-doc = %{version}-%{release}
Requires:	%{name}-examples = %{version}-%{release}
Requires:	%{name}-noaa = %{version}-%{release}
Requires:	%{name}-pager = %{version}-%{release}
Requires:	%{name}-utils = %{version}-%{release}
Requires:	%{libatsc} = %{version}-%{release}
Requires:	%{libruntime} = %{version}-%{release}
Requires:	%{libnoaa} = %{version}-%{release}
Requires:	%{libpager} = %{version}-%{release}
Requires:	%{libqtgui} = %{version}-%{release}
Requires:	%{libtrellis} = %{version}-%{release}
Requires:	%{libvideo_sdl} = %{version}-%{release}
Requires:	%{libuhd} = %{version}-%{release}
Requires:	%{libdigital} = %{version}-%{release}
Requires:	%{libvolk} = %{version}-%{release}
Requires:	%{libaudio} = %{version}-%{release}
Requires:	%{libvocoder} = %{version}-%{release}
Requires:	%{libfcd} = %{version}-%{release}
Requires:	%{libwavelet} = %{version}-%{release}
Requires:	%{libfft} = %{version}-%{release}
Requires:	%{libfilter} = %{version}-%{release}
Requires:	%{libanalog} = %{version}-%{release}
Requires:	%{libblocks} = %{version}-%{release}
Requires:	%{libwxgui} = %{version}-%{release}
Requires:	%{libchannels} = %{version}-%{release}
Requires:	%{libfec} = %{version}-%{release}
Requires:	%{libpmt} = %{version}-%{release}

Requires:	python-%{name}-atsc = %{version}-%{release}
Requires:	python-%{name}-runtime = %{version}-%{release}
Requires:	python-%{name}-qtgui = %{version}-%{release}
Requires:	python-%{name}-trellis = %{version}-%{release}
Requires:	python-%{name}-video-sdl = %{version}-%{release}
Requires:	python-%{name}-wxgui = %{version}-%{release}
Requires:	python-%{name}-digital = %{version}-%{release}
Requires:	python-%{name}-vocoder = %{version}-%{release}
Requires:	python-%{name}-audio = %{version}-%{release}
Requires:	python-%{name}-uhd = %{version}-%{release}
Requires:	python-%{name}-fcd = %{version}-%{release}
Requires:	python-%{name}-wavelet = %{version}-%{release}
Requires:	python-%{name}-fft = %{version}-%{release}
Requires:	python-%{name}-filter = %{version}-%{release}
Requires:	python-%{name}-modtool = %{version}-%{release}
Requires:	python-%{name}-channels = %{version}-%{release}
Requires:	python-%{name}-fec = %{version}-%{release}
Requires:	python-%{name}-pmt = %{version}-%{release}
Requires:	python-%{name}-blocks = %{version}-%{release}
Requires:	python-%{name}-analog = %{version}-%{release}

Provides:	%{name} = %{version}-%{release}

%description
GNU Radio is a collection of software that when combined with minimal
hardware, allows the construction of radios where the actual wave forms
transmitted and received are defined by software. What this means is
that it turns the digital modulation schemes used in today's high
performance wireless devices into software problems.
This is a virtual package that installs the entire GNU Radio software set.

%files

############################
%package doc
Summary:	Software Defined Radio
Group:		Communications/Radio
BuildArch:	noarch

%description doc
This package contains the documentation for the GNU Radio software
defined radio system.

%files doc
%doc %{_docdir}/*
%{_datadir}/applications/%{name}-doc.desktop

############################
%package examples
Summary:	GNU Radio Example Programs
Group:		Communications/Radio

%description examples
This package provides examples of GNU Radio usage using Python.

%files examples
%{_datadir}/%{name}
%exclude %{_datadir}/%{name}/grc

#######################################################
#######################################################
#
# Lib and devel packages
#
#######################################################
#######################################################

############################
%package -n %{libuhd}
Summary:	uhd
Group:		System/Libraries
Obsoletes:	%{_lib}%{name}-usrp0 < 3.5.1
Obsoletes:	%{_lib}%{name}-usrp2_0 < 3.5.1
Obsoletes:	usrp < 3.5.1

%description -n %{libuhd}
This is the GNU Radio UHD package.
It is the interface to the UHD library to connect to and send and receive data
between the Ettus Research, LLC product line.

%files -n %{libuhd}
%{_libdir}/lib%{name}-uhd*.so.%{major}*

############################
%package -n %{devuhd}
Summary:	Uhd devel files
Group:		Development/Other
Requires:	%{libuhd} = %{version}-%{release}
Obsoletes:	%{_lib}%{name}-usrp2-devel < 3.5.1
Obsoletes:	%{_lib}%{name}-usrp-devel < 3.5.1
Requires:	%{devruntime} = %{version}-%{release}

%description -n %{devuhd}
This package contains header files needed by developers.

%files -n %{devuhd}
%{_includedir}/%{name}/uhd/*.h
%{_libdir}/pkgconfig/%{name}-uhd.pc
%{_libdir}/lib%{name}-uhd*.so

############################
%package -n %{libdigital}
Summary:	GNU Radio digital modulation blocks
Group:		System/Libraries

%description -n %{libdigital}
This is the gr-digital package.
It contains all of the digital modulation blocks, utilities, and examples.

%files -n %{libdigital}
%{_libdir}/lib%{name}-digital*.so.%{major}*

############################
%package -n %{devdigital}
Summary:	digital
Group:		Development/Other
Requires:	%{libdigital} = %{version}-%{release}

%description -n %{devdigital}
This package contains header files needed by developers.

%files -n %{devdigital}
%{_includedir}/%{name}/digital/*.h
%{_libdir}/pkgconfig/%{name}-digital.pc
%{_libdir}/lib%{name}-digital*.so

############################
%package -n %{libvolk}
Summary:	GNU Radio Volk
Group:		System/Libraries

%description -n %{libvolk}
VOLK stands for Vector-Optimized Library of Kernels.
It is a library that was introduced into GNU Radio in December 2010.

%files -n %{libvolk}
%{_libdir}/libvolk.so.%{major}*
%{_libdir}/cmake/volk/VolkConfig.cmake

############################
%package -n %{devvolk}
Summary:	GNU Radio Volk devel files
Group:		Development/Other
Requires:	%{libvolk} = %{version}-%{release}

%description -n %{devvolk}
This package contains header files needed by developers.

%files -n %{devvolk}
%{_includedir}/volk/*
%{_libdir}/pkgconfig/volk.pc
%{_libdir}/libvolk.so

############################
%package -n %{libatsc}
Summary:	The GNU Radio blocks for ATSC decoding
Group:		System/Libraries

%description -n %{libatsc}
This pacage provides ATSC (HDTV) transmitter and receiver blocks.
Code related to the Advanced Television Standards Committee HDTV
implementation.

%files -n %{libatsc}
%{_libdir}/lib%{name}-atsc*.so.%{major}*

############################
%package -n %{devatsc}
Summary:	The GNU Radio blocks for ATSC decoding
Group:		Development/Other
Requires:	%{libatsc} = %{version}-%{release}

%description -n %{devatsc}
This package contains header files needed by developers.

%files -n %{devatsc}
%{_includedir}/%{name}/atsc/*.h
%{_includedir}/%{name}/atsc/CMakeLists.txt
%{_libdir}/pkgconfig/%{name}-atsc.pc
%{_libdir}/lib%{name}-atsc*.so


############################
%package -n %{libaudio}
Summary:	GNU Radio audio interfaces
Group:		System/Libraries
Obsoletes:	%{name}-sounder < 3.5.1
Obsoletes:	%{_lib}%{name}-audio-alsa0 < 3.5.1
Obsoletes:	%{_lib}%{name}-audio-jack0 < 3.5.1
Obsoletes:	%{_lib}%{name}-audio-portaudio0 < 3.5.1

%description -n %{libaudio}
This package includes all of the supported audio interfaces.

%files -n %{libaudio}
%{_libdir}/lib%{name}-audio*.so.%{major}*
%config(noreplace) %{_sysconfdir}/%{name}/conf.d/gr-audio-*.conf

############################
%package -n %{devaudio}
Summary:	GNU Radio audio interfaces - devel files
Group:		Development/Other
Requires:	%{libaudio} = %{version}-%{release}
Obsoletes:	%{_lib}%{name}-audio-alsa-devel < 3.5.1
Obsoletes:	%{_lib}%{name}-audio-jack-devel < 3.5.1
Obsoletes:	%{_lib}%{name}-audio-portaudio-devel < 3.5.1
Requires:	%{devruntime} = %{version}-%{release}

%description -n %{devaudio}
This package contains header files needed by developers.

%files -n %{devaudio}
%{_includedir}/%{name}/audio/*.h
%{_libdir}/pkgconfig/%{name}-audio.pc
%{_libdir}/lib%{name}-audio*.so

############################
%package -n %{libruntime}
Summary:	The GNU Radio Runtime Library
Group:		System/Libraries
# Obsoletes with no new corresponding package added here
Obsoletes:	%{name}-gpio < 3.5.1
Obsoletes:	%{name}-radar-mono < 3.5.1
Obsoletes:	%{name}-radio-astronomy < 3.5.1
Obsoletes:	%{_lib}%{name}-msdd6000_0 < 3.5.1
Obsoletes:	%{libcore} < %{version}-%{release}
Obsoletes:	%{libgruel} < %{version}-%{release}
Obsoletes:	%{devgruel} < %{version}-%{release}
Obsoletes:	%{devcore} < %{version}-%{release}
Obsoletes:	%{devgruel} < %{version}-%{release}

%description -n %{libruntime}
This package contains the GNU Radio runtime libraries.

%files -n %{libruntime}
%{_libdir}/lib%{name}-runtime*.so.%{major}*

############################
%package -n %{devruntime}
Summary:	The GNU Radio runtime devel files
Group:		Development/Other
Requires:	%{libruntime} = %{version}-%{release}
Provides:	%{devruntime} = %{version}-%{release}
Obsoletes:	%{_lib}%{name}-msdd6000-devel  < 3.5.1

%description -n %{devruntime}
This package contains header files needed by developers.

%files -n %{devruntime}
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/messages/*.h
%{_includedir}/%{name}/thread/*.h
%{_includedir}/%{name}/swig
%{_libdir}/pkgconfig/%{name}-runtime.pc
%{_libdir}/lib%{name}-runtime*.so
%{_libdir}/cmake/%{name}/GnuradioConfigVersion.cmake
%{_libdir}/cmake/%{name}/GnuradioConfig.cmake

############################
#libgnuradio-vocoder

%package -n %{libvocoder}
Summary:	GNU Radio C++ vocoder blocks
Group:		System/Libraries
Obsoletes:	%{_lib}%{name}-cvsd-vocoder0 < 3.5.1
Obsoletes:	%{_lib}%{name}-gsm-fr-vocoder0 < 3.5.1

%description -n %{libvocoder}
This is the gr-vocoder package.
It contains all available vocoders in GNU Radio.

%files -n %{libvocoder}
%{_libdir}/lib%{name}-vocoder*.so.%{major}*

############################
%package -n %{devvocoder}
Summary:	GNU Radio vocoder devel files
Group:		Development/Other
Requires:	%{libvocoder} = %{version}-%{release}
Obsoletes:	%{_lib}%{name}-cvsd-vocoder-devel < 3.5.1
Obsoletes:	%{_lib}%{name}-gsm-fr-vocoder-devel < 3.5.1

%description -n %{devvocoder}
This package contains header files needed by developers.

%files -n %{devvocoder}
%{_includedir}/%{name}/vocoder/*.h
%{_libdir}/pkgconfig/%{name}-vocoder.pc
%{_libdir}/lib%{name}-vocoder*.so

############################
#libgnuradio-noaa0

%package -n %{libnoaa}
Summary:	GNU Radio C++ block implementing the NOAA
Group:		System/Libraries

%description -n %{libnoaa}
This package provides a NOAA POES HRPT receiver/demodulator block
for GNU Radio.

%files -n %{libnoaa}
%{_libdir}/lib%{name}-noaa*.so.%{major}*

############################
%package -n %{devnoaa}
Summary:	GNU Radio C++ block implementing the NOAA
Group:		Development/Other
Requires:	%{libnoaa} = %{version}-%{release}

%description -n %{devnoaa}
This package contains header files needed by developers.

%files -n %{devnoaa}
%{_includedir}/%{name}/noaa/*.h
%{_libdir}/lib%{name}-noaa*.so
%{_libdir}/pkgconfig/%{name}-noaa.pc

############################
#libgnuradio-pager0

%package -n %{libpager}
Summary:	GNU Radio C++ block implementing the FLEX one-way pager protocol
Group:		System/Libraries

%description -n %{libpager}
This package provides an implementation of the FLEX one-way pager protocol
for GNU Radio.

%files -n %{libpager}
%{_libdir}/lib%{name}-pager*.so.%{major}*

############################
%package -n %{devpager}
Summary:	GNU Radio C++ block implementing the FLEX one-way pager protocol
Group:		Development/Other
Requires:	%{libpager} = %{version}-%{release}

%description -n %{devpager}
This package contains header files needed by developers.

%files -n %{devpager}
%{_includedir}/%{name}/pager/*.h
%{_libdir}/pkgconfig/%{name}-pager.pc
%{_libdir}/lib%{name}-pager*.so

############################
%package -n %{libqtgui}
Summary:	GNU Radio C++ blocks for QT-based GUI applications
Group:		System/Libraries

%description -n %{libqtgui}
This package contains the C++ library for using GNU Radio inside
QT-based GUI applications.

%files -n %{libqtgui}
%{_libdir}/lib%{name}-qtgui*.so.%{major}*

############################
%package -n %{devqtgui}
Summary:	GNU Radio C++ blocks for QT-based GUI applications
Group:		Development/Other
Requires:	%{libqtgui} = %{version}-%{release}

%description -n %{devqtgui}
This package contains the C++ library for using GNU Radio inside
QT-based GUI applications.
This package contains header files needed by developers.

%files -n %{devqtgui}
%{_includedir}/%{name}/qtgui/*.h
%{_includedir}/%{name}/qtgui/CMakeLists.txt
%{_libdir}/pkgconfig/%{name}-qtgui.pc
%{_libdir}/lib%{name}-qtgui*.so

############################
%package -n  %{libtrellis}
Summary:	GNU Radio C++ block implementing trellis-coded modulation
Group:		System/Libraries

%description -n %{libtrellis}
This package provides an implementation of tellis-coded modulation
for GNU Radio.

%files -n %{libtrellis}
%{_libdir}/lib%{name}-trellis*.so.%{major}*

############################
%package -n %{devtrellis}
Summary:	GNU Radio C++ block implementing trellis-coded modulation
Group:		Development/Other
Requires:	%{libtrellis} = %{version}-%{release}

%description -n %{devtrellis}
This package contains header files needed by developers.

%files -n %{devtrellis}
%{_includedir}/%{name}/trellis/*.h
%{_libdir}/pkgconfig/%{name}-trellis.pc
%{_libdir}/lib%{name}-trellis*.so

############################
%package -n %{libvideo_sdl}
Summary:	GNU Radio C++ block implementing video-sdl-coded modulation
Group:		System/Libraries

%description -n %{libvideo_sdl}
This package provides an interface to the SDL rendering library
for GNU Radio.

%files -n %{libvideo_sdl}
%{_libdir}/lib%{name}-video-sdl*.so.%{major}*

############################
%package -n %{devvideo_sdl}
Summary:	GNU Radio C++ block implementing video-sdl-coded modulation
Group:		Development/Other
Requires:	%{libvideo_sdl} = %{version}-%{release}

%description -n %{devvideo_sdl}
This package provides an interface to the SDL rendering library
for GNU Radio.

This package contains header files needed by developers.

%files -n %{devvideo_sdl}
%{_includedir}/%{name}/video_sdl/*.h
%{_libdir}/pkgconfig/%{name}-video-sdl.pc
%{_libdir}/lib%{name}-video-sdl*.so

############################
%package -n %{libfcd}
Summary:	Fun Cube Dongle libs
Group:		System/Libraries

%description -n %{libfcd}
Fun Cube Dongle library files

%files -n %{libfcd}
%{_libdir}/lib%{name}-fcd*.so.%{major}*

############################
%package -n %{devfcd}
Summary:	fcd
Group:		System/Libraries
Requires:	%{libfcd} = %{version}-%{release}

%description -n %{devfcd}
This package contains header files needed by developers.

%files -n %{devfcd}

%{_includedir}/%{name}/fcd/*.h
%{_libdir}/pkgconfig/%{name}-fcd.pc
%{_libdir}/lib%{name}-fcd*.so

############################
%package -n %{libwavelet}
Summary:	GnuRadio Wavelet
Group:		System/Libraries

%description -n %{libwavelet}
GnuRadio Wavelet module.

%files -n %{libwavelet}
%{_libdir}/lib%{name}-wavelet*.so.%{major}*

############################
%package -n %{devwavelet}
Summary:	GnuRadio Wavelet development files
Group:		System/Libraries
Requires:	%{libwavelet} = %{version}-%{release}

%description -n %{devwavelet}
This package contains header files needed by developers.

%files -n %{devwavelet}
%{_includedir}/%{name}/wavelet/*.h
%{_libdir}/lib%{name}-wavelet*.so
%{_libdir}/pkgconfig/%{name}-wavelet.pc

############################
%package -n %{libfft}
Summary:	GnuRadio fft
Group:		System/Libraries

%description -n %{libfft}
GnuRadio fft module.

%files -n %{libfft}
%{_libdir}/lib%{name}-fft*.so.%{major}*

############################
%package -n %{devfft}
Summary:	GnuRadio fft development files
Group:		System/Libraries
Requires:	%{libfft} = %{version}-%{release}

%description -n %{devfft}
This package contains header files needed by developers.

%files -n %{devfft}
%{_includedir}/%{name}/fft/*.h
%{_libdir}/lib%{name}-fft*.so
%{_libdir}/pkgconfig/%{name}-fft.pc

############################
%package -n %{libfilter}
Summary:	GnuRadio filters
Group:		System/Libraries

%description -n %{libfilter}
GnuRadio filter module.

%files -n %{libfilter}
%{_libdir}/lib%{name}-filter*.so.%{major}*

############################
%package -n %{devfilter}
Summary:	GnuRadio filter development files
Group:		System/Libraries
Requires:	%{libfilter} = %{version}-%{release}

%description -n %{devfilter}
This package contains header files needed by developers.

%files -n %{devfilter}
%{_includedir}/%{name}/filter/*.h
%{_libdir}/lib%{name}-filter*.so
%{_libdir}/pkgconfig/%{name}-filter.pc

############################
%package -n %{libanalog}
Summary:	GnuRadio analog
Group:		System/Libraries

%description -n %{libanalog}
GnuRadio analog module.

%files -n %{libanalog}
%{_libdir}/lib%{name}-analog*.so.%{major}*

############################
%package -n %{devanalog}
Summary:	GnuRadio analog development files
Group:		System/Libraries
Requires:	%{libanalog} = %{version}-%{release}

%description -n %{devanalog}
This package contains header files needed by developers.

%files -n %{devanalog}
%{_includedir}/%{name}/analog/*.h
%{_libdir}/lib%{name}-analog*.so
%{_libdir}/pkgconfig/%{name}-analog.pc

############################
%package -n %{libblocks}
Summary:	GnuRadio blocks
Group:		System/Libraries

%description -n %{libblocks}
GnuRadio blocks module.

%files -n %{libblocks}
%{_libdir}/lib%{name}-blocks*.so.%{major}*

############################
%package -n %{devblocks}
Summary:	GnuRadio blocks development files
Group:		System/Libraries
Requires:	%{libblocks} = %{version}-%{release}

%description -n %{devblocks}
This package contains header files needed by developers.

%files -n %{devblocks}
%{_includedir}/%{name}/blocks/*.h
%{_libdir}/lib%{name}-blocks*.so
%{_libdir}/pkgconfig/%{name}-blocks.pc

############################
%package -n %{libwxgui}
Summary:	GnuRadio wxgui
Group:		System/Libraries

%description -n %{libwxgui}
GnuRadio wxgui module.

%files -n %{libwxgui}
%{_libdir}/lib%{name}-wxgui*.so.%{major}*

############################
%package -n %{devwxgui}
Summary:	GnuRadio wxgui development files
Group:		System/Libraries
Requires:	%{libwxgui} = %{version}-%{release}

%description -n %{devwxgui}
This package contains header files needed by developers.

%files -n %{devwxgui}
%{_includedir}/%{name}/wxgui/*.h
%{_libdir}/lib%{name}-wxgui*.so
%{_libdir}/pkgconfig/gr-wxgui.pc

############################
%package -n %{libchannels}
Summary:	GnuRadio channels
Group:		System/Libraries

%description -n %{libchannels}
GnuRadio channels module.

%files -n %{libchannels}
%{_libdir}/lib%{name}-channels*.so.%{major}*

############################
%package -n %{devchannels}
Summary:	GnuRadio channels development files
Group:		System/Libraries
Requires:	%{libchannels} = %{version}-%{release}

%description -n %{devchannels}
This package contains header files needed by developers.

%files -n %{devchannels}
%{_includedir}/%{name}/channels/*.h
%{_libdir}/lib%{name}-channels*.so
%{_libdir}/pkgconfig/%{name}-channels.pc

############################
%package -n %{libfec}
Summary:	GnuRadio fec
Group:		System/Libraries

%description -n %{libfec}
GnuRadio fec module.

%files -n %{libfec}
%{_libdir}/lib%{name}-fec*.so.%{major}*

############################
%package -n %{devfec}
Summary:	GnuRadio fec development files
Group:		System/Libraries
Requires:	%{libfec} = %{version}-%{release}

%description -n %{devfec}
This package contains header files needed by developers.

%files -n %{devfec}
%{_includedir}/%{name}/fec/*.h
%{_libdir}/lib%{name}-fec*.so
%{_libdir}/pkgconfig/%{name}-fec.pc

############################
%package -n %{libpmt}
Summary:	GnuRadio pmt
Group:		System/Libraries

%description -n %{libpmt}
GnuRadio pmt module.

%files -n %{libpmt}
%{_libdir}/lib%{name}-pmt*.so.%{major}*

############################
%package -n %{devpmt}
Summary:	GnuRadio pmt development files
Group:		System/Libraries
Requires:	%{libpmt} = %{version}-%{release}

%description -n %{devpmt}
This package contains header files needed by developers.

%files -n %{devpmt}
%{_libdir}/lib%{name}-pmt*.so
%{_includedir}/pmt/*.h

#######################################################
#######################################################
#
# Python packages
#
#######################################################
#######################################################

############################
%package -n python-%{name}-runtime
Summary:	Python bindings for GNU Radio runtime library
Group:		Development/Python
Requires:	python-numpy
Requires:	python-lxml
Requires:	pygtk2.0
Requires:	python-cheetah
Requires:	wxPython
Requires:	python-scipy
Requires:	python-opengl
# Explicit require on PyQt4 Resolves: rhbz#781494
Requires:	PyQt4
Obsoletes:	python-%{name}-msdd6000 < 3.5.1
Obsoletes:	python-%{name}-gruel < %{version}-%{release}
Obsoletes:	python-%{name}-core < %{version}-%{release}

%description -n python-%{name}-runtime
This package provides the modules that enable one to use gnuradio from
Python scripts.

%files -n python-%{name}-runtime
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/conf.d
%config(noreplace) %{_sysconfdir}/%{name}/conf.d/%{name}-runtime.conf
%dir %{python_sitearch}/%{name}
%{python_sitearch}/%{name}/gr
%{python_sitearch}/%{name}/gru
%{python_sitearch}/%{name}/__init__.*
%{python_sitearch}/%{name}/eng_notation.*
%{python_sitearch}/%{name}/eng_option.*
%{python_sitearch}/%{name}/gr_unittest.*
%{python_sitearch}/%{name}/gr_xmlrunner.*

%package -n python-%{name}-digital
Summary:	Python bindings for GNU Radio digital
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}

%description -n python-%{name}-digital
This package contains Python bindings for GNU Radio Digital.

%files -n python-%{name}-digital
%{python_sitearch}/%{name}/digital/*

############################
%package -n python-%{name}-vocoder
Summary:	Python bindings for GNU Radio vocoder
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}
Obsoletes:	python-%{name}-cvsd-vocoder < 3.5.1
Obsoletes:	python-%{name}-gsm-fr-vocoder < 3.5.1

%description -n python-%{name}-vocoder
This package contains Python bindings for GNU Radio ATSC decoding.

%files -n python-%{name}-vocoder
%{python_sitearch}/%{name}/vocoder/*

############################
%package -n python-%{name}-atsc
Summary:	Python bindings for GNU Radio ATSC decoding
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}

%description -n python-%{name}-atsc
This package contains Python bindings for GNU Radio ATSC decoding.
Code related to the Advanced Television Standards Committee HDTV
implementation.

%files -n python-%{name}-atsc
%{python_sitearch}/%{name}/atsc/*

############################
%package -n python-%{name}-audio
Summary:	GNU Radio Python Audio Driver
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}
Obsoletes:	python-%{name}-audio-alsa < 3.5.1
Obsoletes:	python-%{name}-audio-jack < 3.5.1
Obsoletes:	python-%{name}-audio-portaudio < 3.5.1

%description -n python-%{name}-audio
This package provides the Python interface to the GNU Radio driver for the
audio system.

%files -n python-%{name}-audio
%config(noreplace) %{_sysconfdir}/%{name}/conf.d/gr-audio.conf
%{python_sitearch}/%{name}/audio/*

############################
%package -n python-%{name}-qtgui
Summary:	GNU Radio Graphical Interface Routines based on QT
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}

%description -n python-%{name}-qtgui
This package provides the Python wrappers around the GNU Radio QT GUI
C++ blocks.

%files -n python-%{name}-qtgui
%{python_sitearch}/%{name}/qtgui

############################
%package -n python-%{name}-trellis
Summary:	GNU Radio Trellis-Coded Modulation library
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}

%description -n python-%{name}-trellis
This package provides an implementation of trellis-coded modulation for
GNU Radio.

%files -n python-%{name}-trellis
%{python_sitearch}/%{name}/trellis/*

############################
%package -n python-%{name}-uhd
Summary:	Python bindings for GNU Radio uhd driver
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}
Obsoletes:	python-%{name}-usrp < 3.5.1
Obsoletes:	python-%{name}-usrp2 < 3.5.1

%description -n python-%{name}-uhd
This package provides the Python interface to the GNU Radio uhd driver
and daughterboard drivers.

%files -n python-%{name}-uhd
%{python_sitearch}/%{name}/uhd

############################
%package -n python-%{name}-video-sdl
Summary:	GNU Radio SDL Interface Library
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}

%description -n python-%{name}-video-sdl
This package provides an interface to the SDL rendering library for GNU Radio.

%files -n python-%{name}-video-sdl
%{python_sitearch}/%{name}/video_sdl/*

############################
%package -n python-%{name}-wxgui
Summary:	GNU Radio GUI Routines based on wxPython
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}

%description -n python-%{name}-wxgui
This package provides high level GUI construction classes based upon the wxPython bindings
for wxWidgets.

%files -n python-%{name}-wxgui
%config(noreplace) %{_sysconfdir}/%{name}/conf.d/gr-wxgui.conf
%{python_sitearch}/%{name}/wxgui

############################
%package -n python-%{name}-channels
Summary:	GNU Radio channels
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}

%description -n python-%{name}-channels
GNU Radio channels

%files -n python-%{name}-channels
%{python_sitearch}/%{name}/channels

############################
%package -n python-%{name}-fec
Summary:	GNU Radio fec
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}

%description -n python-%{name}-fec
GNU Radio fec

%files -n python-%{name}-fec
%{python_sitearch}/%{name}/fec

############################
%package -n python-%{name}-pmt
Summary:	GNU Radio pmt
Group:		Development/Python
Requires:	python-%{name}-runtime = %{version}-%{release}
Requires:	python-numpy
Requires:	python-opengl

%description -n python-%{name}-pmt
GNU Radio pmt

%files -n python-%{name}-pmt
%{python_sitearch}/pmt/*

############################
%package -n python-%{name}-fcd
Summary:	GNU Radio Fun Cube Dongle
Group:		Development/Python

%description -n python-%{name}-fcd
GNU Radio Fun Cube Dongle

%files -n python-%{name}-fcd
%{python_sitearch}/%{name}/fcd

############################
%package -n python-%{name}-wavelet
Summary:	GNU Radio wavelet
Group:		Development/Python

%description -n python-%{name}-wavelet
GNU Radio wavelet

%files -n python-%{name}-wavelet
%{python_sitearch}/%{name}/wavelet

############################
%package -n python-%{name}-fft
Summary:	GNU Radio fft
Group:		Development/Python

%description -n python-%{name}-fft
GNU Radio fft

%files -n python-%{name}-fft
%{python_sitearch}/%{name}/fft
%{python_sitearch}/%{name}/plot_fft_base.*

############################
%package -n python-%{name}-filter
Summary:	GNU Radio filter
Group:		Development/Python

%description -n python-%{name}-filter
GNU Radio filter

%files -n python-%{name}-filter
%{python_sitearch}/%{name}/filter
%{python_sitearch}/%{name}/pyqt_filter.*

############################
%package -n python-%{name}-analog
Summary:	GNU Radio analog
Group:		Development/Python

%description -n python-%{name}-analog
GNU Radio analog

%files -n python-%{name}-analog
%{python_sitearch}/%{name}/analog

############################
%package -n python-%{name}-blocks
Summary:	GNU Radio blocks
Group:		Development/Python

%description -n python-%{name}-blocks
GNU Radio blocks

%files -n python-%{name}-blocks
%{python_sitearch}/%{name}/blocks

############################
%package -n python-%{name}-modtool
Summary:	GNU Radio modtool
Group:		Development/Python

%description -n python-%{name}-modtool
GNU Radio modtool

%files -n python-%{name}-modtool
%config(noreplace) %{_sysconfdir}/%{name}/conf.d/modtool.conf
%{python_sitearch}/%{name}/modtool
%{python_sitearch}/volk_modtool/*

############################
%package -n python-%{name}-ctrlport
Summary:	GNU Radio ctrlport
Group:		Development/Python

%description -n python-%{name}-ctrlport
GNU Radio ctrlport

%files -n python-%{name}-ctrlport
%{_sysconfdir}/%{name}/ctrlport.conf.example
%{python_sitearch}/%{name}/ctrlport
%{python_sitearch}/frontend_ice.*
%{python_sitearch}/%{name}_ice.*

#######################################################
#######################################################
#
# Software packages and others
#
#######################################################
#######################################################

%package companion
Summary:	The GNU Radio Companion
Group:		Communications/Radio
Requires:	python-%{name}-runtime = %{version}-%{release}
Requires:	python-cheetah
Requires:	pygtk2.0
Requires:	python-lxml
Obsoletes:	grc < 3.5.1

%description companion
GRC is a graphical flowgraph editor for the GNU Software Radio.

%files companion
%config(noreplace) %{_sysconfdir}/%{name}/conf.d/grc.conf
%config(noreplace) %{_sysconfdir}/%{name}/conf.d/ctrlport.conf.example
%{_bindir}/%{name}-companion
%{_datadir}/applications/%{name}-grc.desktop
%{_datadir}/mime/application/*.xml
%{_iconsdir}/hicolor/*/apps/%{name}-grc.png
%{_datadir}/%{name}/grc
%{python_sitearch}/%{name}/grc
%{python_sitearch}/grc_%{name}


############################
%package  noaa
Summary:	GNU Radio NOAA POES HRPT receiver
Group:		Communications/Radio
Requires:	python-%{name}-runtime = %{version}-%{release}

%description noaa
This package provides and implements an NOAA POES HRPT receiver.

%files noaa
%{python_sitearch}/%{name}/noaa

############################
%package pager
Summary:	GNU Radio FLEX Pager Decoder
Group:		Communications/Radio
Requires:	python-%{name}-uhd = %{version}-%{release}

%description pager
This package provides a decoder for the FLEX paging protocol for GNU Radio.

%files pager
%{_bindir}/usrp_flex*
%{python_sitearch}/%{name}/pager

############################
%package utils
Summary:	GNU Radio Utilities
Group:		Communications/Radio
Requires:	python-%{name}-wxgui = %{version}-%{release}
Requires:	python-matplotlib
Requires:	python-scipy
Requires:	python-qt4
Requires:	python-qwt

%description utils
This package provides commonly used utilities for GNU Radio.

%files utils
%{python_sitearch}/%{name}/plot_psd_base.*
%{python_sitearch}/%{name}/plot_data.*
%{python_sitearch}/%{name}/pyqt_plot.*
%{_bindir}/%{name}-config-info

## Where do these live?
%{_bindir}/gr_filter_design
%{_bindir}/gr_plot_*
%{_bindir}/uhd_*
%{_bindir}/gr_read_file_metadata
%{_bindir}/grcc
%{_bindir}/gr_modtool
%{_bindir}/gr_constellation_plot
%{_bindir}/gr_psd_plot_b
%{_bindir}/gr_psd_plot_c
%{_bindir}/gr_psd_plot_f
%{_bindir}/gr_psd_plot_i
%{_bindir}/gr_psd_plot_s
%{_bindir}/gr_spectrogram_plot_b
%{_bindir}/gr_spectrogram_plot_c
%{_bindir}/gr_spectrogram_plot_f
%{_bindir}/gr_spectrogram_plot_i
%{_bindir}/gr_spectrogram_plot_s
%{_bindir}/gr_time_plot_b
%{_bindir}/gr_time_plot_c
%{_bindir}/gr_time_plot_f
%{_bindir}/gr_time_plot_i
%{_bindir}/gr_time_plot_s
%{_bindir}/gr_time_raster_b
%{_bindir}/gr_time_raster_f
%{_bindir}/volk_modtool
%{_bindir}/volk_profile
%{_bindir}/gr-ctrlport-curses
%{_bindir}/gr-ctrlport-cursesc
%{_bindir}/gr-ctrlport-curseso
%{_bindir}/gr-ctrlport-monitor
%{_bindir}/gr-ctrlport-monitorc
%{_bindir}/gr-ctrlport-monitoro
%{_bindir}/gr-perf-monitorx
%{_bindir}/gr-perf-monitorxc
%{_bindir}/gr-perf-monitorxo

#######################################################
#######################################################
%prep
%if %{rev}
%setup -q -n %{name}
%else
%setup -q -n %{name}-%{version}
%endif

%apply_patches

%build
%cmake
make

%check
## TODO Some tests fail only in i586 build.
# qa_qtgui test failure is a known issue and is skipped.
# Test failures do not halt builds, so check the log.
cd build
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}
ctest -V -E qa_qtgui ||:

%install
%makeinstall_std -C build

#icons
for i in 32 48 64 128 256; do
	install -Dpm0644 %{buildroot}%{_datadir}/%{name}/grc/freedesktop/grc-icon-${i}.png \
		%{buildroot}/%{_iconsdir}/hicolor/${i}x${i}/apps/%{name}-grc.png
done

mkdir -p %{buildroot}%{_libdir}/cmake/gnuradio
%ifarch x86_64
mv  %{buildroot}/usr/lib/cmake/gnuradio/* %{buildroot}%{_libdir}/cmake/gnuradio
%endif

############################
# Desktop files
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/mime/application
mv %{buildroot}%{_datadir}/%{name}/grc/freedesktop/%{name}-grc.xml %{buildroot}%{_datadir}/mime/application/

cat > %{name}-doc.desktop << EOF
[Desktop Entry]
Version=1.0
Name=Gnu Radio C++ API Documentation
GenericName=Gnu Radio C++ API Documentation
Exec=xdg-open /usr/share/doc/%{name}-%{version}/html/index.html
Icon=%{name}-grc
Terminal=false
Type=Application
Categories=System;Documentation;X-Mageia-CrossDesktop;
X-Desktop-File-Install-Version=0.19
EOF

desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications %{name}-doc.desktop

desktop-file-install \
--add-category='X-Mageia-CrossDesktop' \
--set-key=Name \
--set-value='Gnu Radio Companion' \
--dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/%{name}/grc/freedesktop/%{name}-grc.desktop

############################
# We don't need these:
find %{buildroot} -name "*.la" -exec rm -rf {} \;
rm -f %{buildroot}%{_libexecdir}/%{name}/grc_setup_freedesktop
rm -rf %{buildroot}/%{_datadir}/%{name}/grc/freedesktop


%changelog
* Thu Jan 09 2014 pterjan <pterjan> 3.7.1-0.7641.3.mga4
+ Revision: 565987
- Rebuild for new ice

* Sat Oct 19 2013 umeabot <umeabot> 3.7.1-0.7641.2.mga4
+ Revision: 531549
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 barjac <barjac> 3.7.1-0.7641.1.mga4
+ Revision: 464023
- new snapshot
- new patch to fix linkage of m and pthread
- remove obsolete patches
- fix test failures by setting LD_LIBRARY_PATH prior to ctest
- exclude qa_qtgui test that needs X
- replace *core* packages with *runtime* and remove obsolete gruel packages
- new packages for wxgui, channels, fec and pmt (lib, dev and python)

* Thu Jul 11 2013 barjac <barjac> 3.6.5-3.mga4
+ Revision: 452928
- add missing requires on meta package

* Tue Jul 09 2013 fwang <fwang> 3.6.5-2.mga4
+ Revision: 451858
- rebuild for new boost

* Fri Jun 14 2013 barjac <barjac> 3.6.5-1.mga4
+ Revision: 443120
- new version 3.6.5

* Fri Apr 19 2013 barjac <barjac> 3.6.4.1-1.mga3
+ Revision: 410556
- new version 3.6.4.1 with some new features and bug fixes

* Mon Apr 15 2013 barjac <barjac> 3.6.3-5.mga3
+ Revision: 410166
- fix most test failures
- run tests and continue build with failures

* Wed Apr 10 2013 ennael <ennael> 3.6.3-4.mga3
+ Revision: 409457
- Really rebuild against boost-1.53

* Sun Apr 07 2013 barjac <barjac> 3.6.3-3.mga3
+ Revision: 408734
- suppress tests as some will fail
- test build with %%check enabled to verify local build test failures with boost-1.52

* Mon Jan 21 2013 barjac <barjac> 3.6.3-2.mga3
+ Revision: 390507
- replace bad tarball from upstream with one built from correct git tag
- remove some trailing spaces from spec

* Sun Jan 13 2013 barjac <barjac> 3.6.3-1.mga3
+ Revision: 375968
- new version
- two new sub packages

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-8.mga3
+ Revision: 352393
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 barjac <barjac> 3.6.2-7.mga3
+ Revision: 341536
- rebuild against new uhd

* Thu Dec 20 2012 fwang <fwang> 3.6.2-6.mga3
+ Revision: 332952
- rebuild for new boost

* Thu Nov 22 2012 barjac <barjac> 3.6.2-5.mga3
+ Revision: 321105
- Changed some groups in line with policy
- rebuild against libqwt5

* Mon Nov 19 2012 zezinho <zezinho> 3.6.2-4.mga3
+ Revision: 319658
- rebuild for new libqwt

* Fri Sep 28 2012 barjac <barjac> 3.6.2-3.mga3
+ Revision: 298852
- Changed group in line with new policy

* Sun Sep 09 2012 barjac <barjac> 3.6.2-2.mga3
+ Revision: 291428
- add missing filter packages to virtual package
- drop desktop-file-utils BR

* Sun Sep 09 2012 barjac <barjac> 3.6.2-1.mga3
+ Revision: 291001
- New version 3.6.2
- new lib and dev packages gnuradio-filter

  + fedya <fedya>
    - trailing characters fix

* Tue Jul 31 2012 fwang <fwang> 3.6.1-2.mga3
+ Revision: 276496
- rebuild for new boost

* Tue Jul 03 2012 barjac <barjac> 3.6.1-1.mga3
+ Revision: 266848
- new version 3.6.1
- removed explicit require on libportaudio
- updated fix-linkage patch
- added new fft blocks packages

* Wed Jun 06 2012 barjac <barjac> 3.6.0-3.mga3
+ Revision: 256308
- Fix explicit require on 32bit libportaudio2
- Same as bug 6347 on mga2

* Tue Jun 05 2012 barjac <barjac> 3.6.0-2.mga3
+ Revision: 254470
- Accidentally reverted 250181 (arch of examples) when updating

* Tue Jun 05 2012 barjac <barjac> 3.6.0-1.mga3
+ Revision: 254462
- New version 3.6.0

* Wed May 30 2012 fwang <fwang> 3.5.3.2-3.mga3
+ Revision: 250181
- examples contain binary files

* Wed May 30 2012 fwang <fwang> 3.5.3.2-2.mga3
+ Revision: 250049
- rebuild for new boost

* Sun Apr 22 2012 barjac <barjac> 3.5.3.2-1.mga2
+ Revision: 232457
- bugfix release
- Fixed IQ correlation initialization in gr-fcd
- Fixed volk AVX detection/usage for GCC < 4.6 and MSVC
- Fixed miscalculation of symbol rate in digital_bert_rx
- new version
- supports Fun Cube Dongle
- improved make-tarball script
- macro used in .desktop

* Sat Mar 03 2012 barjac <barjac> 3.5.1-8.mga2
+ Revision: 217067
- Edited .desktop name for consistency

* Sat Feb 11 2012 fwang <fwang> 3.5.1-7.mga2
+ Revision: 207143
- fix linkage of libvolk
- obsoletes correct arch-dependent files

* Fri Feb 10 2012 barjac <barjac> 3.5.1-6.mga2
+ Revision: 207047
- Move some header files  to correct dev packages
- Tidy some descriptions and a typo

* Thu Feb 09 2012 barjac <barjac> 3.5.1-5.mga2
+ Revision: 206749
- Make doc package noarch
- Corrected obsoletes arch

* Thu Feb 09 2012 barjac <barjac> 3.5.1-4.mga2
+ Revision: 206730
- Move all %%defines to top of spec
- Use %%{libnames} for lib requires

* Thu Feb 09 2012 barjac <barjac> 3.5.1-2.mga2
+ Revision: 206675
- Fix Require in pager

* Wed Feb 08 2012 barjac <barjac> 3.5.1-1.mga2
+ Revision: 206552
- After much deliberation changing back to split packages as in 3.3
- Many new sub packages and obsoletes due to upstream changes
- New version
- Follow more closely upstream build
- Use cmake
- Add API docs to main menu
- Reverted to 3.3.0-2 as at revision 195922

  + fwang <fwang>
    - br orc
    - fix linkage
    - new version 3.5.1

* Sat Jan 14 2012 fwang <fwang> 3.3.0-2.mga2
+ Revision: 195922
- fix versioned requires

* Tue Jan 03 2012 barjac <barjac> 3.3.0-1.mga2
+ Revision: 190188
- Align with mdv 3.3.0-12, wqt inc path corrected, set mkrel 1
- imported package gnuradio


* Wed Dec 29 2010 Jani Välimaa <wally@mandriva.org> 3.3.0-8mdv2010.1
+ Revision: 626057
- fix requires

* Tue Dec 28 2010 Jani Välimaa <wally@mandriva.org> 3.3.0-7mdv2011.0
+ Revision: 625625
- really make backporting possible

* Tue Dec 28 2010 Jani Välimaa <wally@mandriva.org> 3.3.0-6mdv2011.0
+ Revision: 625510
- make backporting possible

* Mon Dec 27 2010 Jani Välimaa <wally@mandriva.org> 3.3.0-5mdv2011.0
+ Revision: 625432
- edit summaries
- fix file lists
- sync spec with Fedora
- split usrp docs to a separate package

* Wed Nov 03 2010 Funda Wang <fwang@mandriva.org> 3.3.0-4mdv2011.0
+ Revision: 592716
- update file list

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

* Thu Oct 28 2010 Thomas Spuhler <tspuhler@mandriva.org> 3.3.0-3mdv2011.0
+ Revision: 589662
- removed libnae macro

* Mon Oct 25 2010 Thomas Spuhler <tspuhler@mandriva.org> 3.3.0-2mdv2011.0
+ Revision: 589241
- added the conditional patch statement

* Mon Oct 25 2010 Thomas Spuhler <tspuhler@mandriva.org> 3.3.0-1mdv2011.0
+ Revision: 589231
- initial upload gcc4.5 patch
- added patch for gcc4.5
- Changed BuildRequires: 	%%{mklibname wxgtk2.8}-devel
- added BuildRequires:  pygtk2.0-libglade
- added BuildRequires:  python-numpy
- added BuildRequires:  guile
- Changed BuildRequires
- import gnuradio

